## fcm 0.1.1

=== DESCRIPTION ===
Package: fcm
Type: Package
Title: Inference of Fuzzy Cognitive Maps (FCMs)
Version: 0.1.1
Date: 2017-05-25
Author: Zoumpoulia Dikopoulou <dikopoulia@gmail.com> <zoumpolia.dikopoulou@uhasselt.be>, Elpiniki Papageorgiou <epapageorgiou@teiste.gr>, <e.i.papageorgiou75@gmail.com>
Maintainer: Zoumpoulia Dikopoulou <dikopoulia@gmail.com>
Description: Provides a selection of 6 different inference rules and 4 threshold functions in order to obtain the inference of the FCM (Fuzzy Cognitive Map). Moreover, the 'fcm' package returns a data frame of the concepts' values of each state after the inference procedure. Fuzzy cognitive maps were introduced by Kosko (1986) <doi:10.1002/int.4550010405> providing ideal causal cognition tools for modeling and simulating dynamic systems.
License: GPL-2
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: reshape2, ggplot2
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2017-05-25 21:31:49 UTC; lucp8904
Repository: CRAN
Date/Publication: 2017-05-25 21:46:07 UTC

## fcm 0.1.2

=== DESCRIPTION ===
Package: fcm
Type: Package
Title: Inference of Fuzzy Cognitive Maps (FCMs)
Version: 0.1.2
Date: 2017-07-04
Author: Zoumpoulia Dikopoulou <dikopoulia@gmail.com> <zoumpolia.dikopoulou@uhasselt.be>, Elpiniki Papageorgiou <epapageorgiou@teiste.gr>, <e.i.papageorgiou75@gmail.com>
Maintainer: Zoumpoulia Dikopoulou <dikopoulia@gmail.com>
Description: Provides a selection of 6 different inference rules and 4 threshold functions in order to obtain the inference of the FCM (Fuzzy Cognitive Map). Moreover, the 'fcm' package returns a data frame of the concepts' values of each state after the inference procedure. Fuzzy cognitive maps were introduced by Kosko (1986) <doi:10.1002/int.4550010405> providing ideal causal cognition tools for modeling and simulating dynamic systems.
License: GPL-2
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: reshape2, ggplot2
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2017-07-04 10:54:36 UTC; lucp8904
Repository: CRAN
Date/Publication: 2017-07-04 12:58:21 UTC

## fcm 0.1.3

=== DESCRIPTION ===
Package: fcm
Type: Package
Title: Inference of Fuzzy Cognitive Maps (FCMs)
Version: 0.1.3
Date: 2017-07-09
Author: Zoumpoulia Dikopoulou <dikopoulia@gmail.com> <zoumpolia.dikopoulou@uhasselt.be>, Elpiniki Papageorgiou <epapageorgiou@teiste.gr>, <e.i.papageorgiou75@gmail.com>
Maintainer: Zoumpoulia Dikopoulou <dikopoulia@gmail.com>
Description: Provides a selection of 3 different inference rules (including additionally the clamped types of the referred inference rules) and 4 threshold functions in order to obtain the inference of the FCM (Fuzzy Cognitive Map). Moreover, the 'fcm' package returns a data frame of the concepts' values of each state after the inference procedure. Fuzzy cognitive maps were introduced by Kosko (1986) <doi:10.1002/int.4550010405> providing ideal causal cognition tools for modeling and simulating dynamic systems.
License: GPL-2
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: reshape2, ggplot2
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2017-07-09 22:34:11 UTC; lucp8904
Repository: CRAN
Date/Publication: 2017-07-09 22:44:14 UTC

## fcm 2015.12.0

=== debian/changelog ===
fcm (2015.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #788817)
    - Resubmited to archive with updated debian/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2016 19:59:13 +0100

=== debian/control ===
Source: fcm
Section: utils
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libconfig-ini-perl, 
 libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
 perl-tk, subversion, xxdiff, rsync
Homepage: http://www.metoffice.gov.uk/research/collaboration/fcm
Vcs-Git: git://anonscm.debian.org/debian-science/packages/fcm.git

Package: fcm
Architecture: all
Priority: optional
Depends: xxdiff, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
 libconfig-inifiles-perl, libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
 subversion
Description: Flexible Configuration Manager
 FCM is a set of tools for managing and building source code. 
 FCM uses Subversion for code management but defines a common process 
 and naming convention to simplify usage. 
 It adds a layer on top of Subversion to provide a more natural and 
 user-friendly interface.
 .
 FCM features a powerful build system, mainly aimed at building modern 
 Fortran software applications.

## fcm 2016.12.0

=== debian/changelog ===
fcm (2016.12.0-1) unstable; urgency=medium

  * New upstream release
  * Add depenency on perl-tk

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2016 15:26:50 +0000

fcm (2016.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.8. No changes required
  * DH_COMPAT=10
  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Nov 2016 03:27:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fcm
 Section: utils
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libconfig-ini-perl, 
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), libconfig-ini-perl, 
  libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
  perl-tk, subversion, xxdiff, rsync
 Homepage: http://www.metoffice.gov.uk/research/collaboration/fcm
@@ -13,7 +13,7 @@
 Priority: optional
 Depends: xxdiff, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
  libconfig-inifiles-perl, libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
- subversion
+ subversion, perl-tk
 Description: Flexible Configuration Manager
  FCM is a set of tools for managing and building source code. 
  FCM uses Subversion for code management but defines a common process

## fcm 2017.02.0

=== debian/changelog ===
fcm (2017.02.0-3) unstable; urgency=medium

  * Standards-Version: 4.0.0
  * Add gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 29 Jul 2017 13:15:09 +0100

fcm (2017.02.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2017 06:59:03 +0100

fcm (2017.02.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Mar 2017 15:31:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fcm
 Section: utils
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10), libconfig-ini-perl, 
  libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
  perl-tk, subversion, xxdiff, rsync

## fcm 2017.10.0

=== debian/changelog ===
fcm (2017.10.0-3) unstable; urgency=medium

  * Standards-Version: 4.2.0
  * Build with Perl 5.26
  * Change shebangs on some files /usr/bin/env perl -> /usr/bin/perl
  * Add /etc/fcm to the config path as logged in FCM issue #251

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Aug 2018 11:34:05 +0100

fcm (2017.10.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Change VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Mar 2018 11:54:49 +0000

fcm (2017.10.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1
  * tutorials/ dir now tutorial/ ; change docs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Oct 2017 15:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: fcm
 Section: utils
+Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), libconfig-ini-perl, 
- libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
- perl-tk, subversion, xxdiff, rsync
-Homepage: http://www.metoffice.gov.uk/research/collaboration/fcm
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/fcm.git
+Standards-Version: 4.2.0
+Build-Depends: debhelper (>= 10), 
+ libconfig-ini-perl, 
+ libclass-dbi-sqlite-perl, 
+ libxml-parser-perl, 
+ libsvn-perl,
+ perl-tk, 
+ subversion, 
+ xxdiff, 
+ rsync
+Homepage: https://www.metoffice.gov.uk/research/collaboration/fcm
+Vcs-Browser: https://salsa.debian.org:/science-team/fcm.git
+Vcs-Git: https://salsa.debian.org:/science-team/fcm.git
 
 Package: fcm
 Architecture: all
-Priority: optional
 Depends: xxdiff, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
  libconfig-inifiles-perl, libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
  subversion, perl-tk

## fcm 2019.05.0

=== debian/changelog ===
fcm (2019.05.0-2) unstable; urgency=medium

  * Move to using debhelper-compat (= 12)
  * Standards-Version: 4.4.0
  * Change path for fcm_test_battery to /bin/bash. Closes: #934821

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Aug 2019 14:54:38 +0100

fcm (2019.05.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0
  * Drop hard-coded 'xz' compression
  * Update homepage
  * Use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jun 2019 16:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.2.0
-Build-Depends: debhelper (>= 10), 
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), 
  libconfig-ini-perl, 
  libclass-dbi-sqlite-perl, 
  libxml-parser-perl, 
@@ -12,7 +12,7 @@
  subversion, 
  xxdiff, 
  rsync
-Homepage: https://www.metoffice.gov.uk/research/collaboration/fcm
+Homepage: https://beta.metoffice.gov.uk/research/weather/weather-science-it/fcm
 Vcs-Browser: https://salsa.debian.org:/science-team/fcm.git
 Vcs-Git: https://salsa.debian.org:/science-team/fcm.git

## fcm 2019.09.0

=== debian/changelog ===
fcm (2019.09.0-2) unstable; urgency=medium

  * Switch from using xxdiff to kdiff3 as graphical merge tool,
    as xxdiff depends on python2 which is being removed
  * Standards-Version: 4.4.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jan 2020 09:39:12 +0000

fcm (2019.09.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Oct 2019 19:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1.0
 Build-Depends: debhelper-compat (= 12), 
  libconfig-ini-perl, 
  libclass-dbi-sqlite-perl, 
@@ -10,7 +10,7 @@
  libsvn-perl,
  perl-tk, 
  subversion, 
- xxdiff, 
+ kdiff3,
  rsync
 Homepage: https://beta.metoffice.gov.uk/research/weather/weather-science-it/fcm
 Vcs-Browser: https://salsa.debian.org:/science-team/fcm.git
@@ -18,7 +18,7 @@
 
 Package: fcm
 Architecture: all
-Depends: xxdiff, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
+Depends: kdiff3, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
  libconfig-inifiles-perl, libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
  subversion, perl-tk
 Description: Flexible Configuration Manager

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

PERL_VERSION:=5.20

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
INSTDIR:=debian/tmp
PERLDIR:=$(LIBDIR)/perl/$(PERL_VERSION)

override_dh_auto_install:
	mkdir -p $(INSTDIR)/$(PERLDIR)
	cp -a lib/* $(INSTDIR)/$(PERLDIR)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/metomi/fcm/tags .*/(\d\S+)\.tar\.gz

## fcm 2021.05.01

=== debian/changelog ===
fcm (2021.05.01-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Aug 2021 09:39:07 +0100

fcm (2021.05.01-1) experimental; urgency=medium

  * New  upstream release
  * Standards-Version: 4.5.1
  * dh_compat standard 13, for M-A aware install
  * Use libjs-bootstrap rather than shipping our own
  * Change installpath for perl to placate dh_missing

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 May 2021 14:13:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.4.1.0
-Build-Depends: debhelper-compat (= 12), 
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), 
  libconfig-ini-perl, 
  libclass-dbi-sqlite-perl, 
  libxml-parser-perl, 
@@ -14,13 +14,13 @@
  rsync
 Homepage: https://beta.metoffice.gov.uk/research/weather/weather-science-it/fcm
 Vcs-Browser: https://salsa.debian.org:/science-team/fcm.git
-Vcs-Git: https://salsa.debian.org:/science-team/fcm.git
+Vcs-Git: https://salsa.debian.org:/science-team/fcm.git -b debian/latest
 
 Package: fcm
 Architecture: all
 Depends: kdiff3, ${perl:Depends}, ${misc:Depends}, libjs-jquery,
  libconfig-inifiles-perl, libclass-dbi-sqlite-perl, libxml-parser-perl, libsvn-perl,
- subversion, perl-tk
+ subversion, perl-tk, libjs-bootstrap
 Description: Flexible Configuration Manager
  FCM is a set of tools for managing and building source code. 
  FCM uses Subversion for code management but defines a common process

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,8 @@
 override_dh_auto_install:
 	mkdir -p $(INSTDIR)/$(PERLDIR)
 	cp -a lib/* $(INSTDIR)/$(PERLDIR)
+
+override_dh_installdocs:
+	dh_installdocs
+	rm ./debian/fcm/usr/share/doc/fcm/etc/bootstrap/js/bootstrap.js
+	ln -s /usr/share/javascript/bootstrap/js/bootstrap.js ./debian/fcm/usr/share/doc/fcm/etc/bootstrap/js/bootstrap.js
